"use strict";
//
// Copyright 2016-present by Pouya Kary <pouya@kary.us>
//
Object.defineProperty(exports, "__esModule", { value: true });
//
// ─── IMPORTS ────────────────────────────────────────────────────────────────────
//
const colors = require("colors");
const size = require("window-size");
//
// ─── PRINT ──────────────────────────────────────────────────────────────────────
//
function print(message, status = true) {
    console.log(` ${status ? colors.green('\u2713') : colors.red('\u2715')} ${message}\n`);
}
exports.print = print;
//
// ─── PRINT TITLE ────────────────────────────────────────────────────────────────
//
function printTitle(title) {
    printHorizontalLine();
    let spacings = '';
    for (let index = 0; index < Math.floor((size.width - title.length - 2) / 2); index++)
        spacings += '•';
    spacings = spacings.rainbow;
    console.log(`${spacings} ${title} ${spacings}`);
    printHorizontalLine();
    console.log('');
}
exports.printTitle = printTitle;
//
// ─── PRINTING HORIZONTAL LINE ───────────────────────────────────────────────────
//
function printHorizontalLine() {
    let line = '';
    for (let index = 0; index < size.width; index++)
        line += '\u2500';
    console.log(line.cyan);
}
// ────────────────────────────────────────────────────────────────────────────────
